package com.bull.cimero.pluginEditor.editors.figure.BCFigure;

import java.io.File;

/**
 * The RSS CImero Figure.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class RSSFigure extends BCCimeroFigure {

	/** The image path. */
	private static final String IMAGEPATH
			= "icons" + File.separator + "RSSCanal.gif";
	/** The image error path. */
	private static final String IMAGEPATHERROR
			= "icons" + File.separator + "RSSCanal_error.jpg";
	/** The name of the serveur. */
	private static final String SERVERNAME = "my RSS flow";
	/** The icon of the serveur. */
	private static final String PATHTOICON =
		"icons" + File.separator + "ico_rss.jpg";

	/**
	 * The constructor.
	 */
	public RSSFigure() {
		super(SERVERNAME, IMAGEPATH, IMAGEPATHERROR, PATHTOICON);
	}
}
