package com.bull.cimero.pluginEditor.editors.figure.SEFigure;

import java.io.File;

/**
 * The pipeline Figure Class.
 * This class is the representation of the pipeline Model in Eclipse.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class PipelineFigure extends SECimeroFigure {

	/** The image path. */
	private static final String IMAGEPATH
			= "icons" + File.separator + "enrichisseur.gif";
	/** The image error path. */
	private static final String IMAGEPATHERROR
			= "icons" + File.separator + "enrichisseur_error.gif";
	/** The icon of the serveur. */
	private static final String PATHTOICON =
		"icons" + File.separator + "ico_enrichisseur.jpg";

	/**
	 * default constructor.
	 */
	public PipelineFigure() {
		super(IMAGEPATH, IMAGEPATHERROR, PATHTOICON);
	}

}
