package com.bull.cimero.pluginEditor.editors.figure.SEFigure;

import java.io.File;

/**
 * The wiretap figure.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class WireTapFigure extends SECimeroFigure {

	/** The image path. */
	private static final String IMAGEPATH
			= "icons" + File.separator + "traceur.gif";
	/** The image error path. */
	private static final String IMAGEPATHERROR
			= "icons" + File.separator + "traceur_error.gif";
	/** The icon of the serveur. */
	private static final String PATHTOICON =
		"icons" + File.separator + "ico_tracer.jpg";

	/**
	 * default constructor.
	 */
	public WireTapFigure() {
		super(IMAGEPATH, IMAGEPATHERROR, PATHTOICON);
		addOutputBottom("outputcopy");
	}

}
