package it.eng.cimero.plugin.dialogs;

import it.eng.spagosoa.metadb.api.IMetadbApi;
import it.eng.spagosoa.metadb.model.AttributeCatalog;
import it.eng.spagosoa.metadb.model.Catalog;

import org.eclipse.jface.dialogs.TitleAreaDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class DetailDatasourceDialog extends TitleAreaDialog {

//	final SimpleDateFormat formatter = new SimpleDateFormat("dd/MM/yyyy");
	

    private Composite aComposite = null;
    private CLabel dsNameLabel = null;
    private Text dsNameTextField = null;
    
    private CLabel dsjdbcUrlLabel = null;
    private Text dsjdbcUrlTextField = null;
    
    private CLabel dsjdbcDriverLabel = null;
    private Text dsjdbcDriverTextField = null;
    
    private CLabel dsjdbcUserLabel = null;
    private Text dsjdbcUserTextField = null;
    
    private CLabel dsjdbcPasswordLabel = null;
    private Text dsjdbcPasswordTextField = null;
    
    private DataSourceBeanDialog datasourceBean = null;
    
    
    private IMetadbApi metadb = null;
    
    
	public DetailDatasourceDialog(Shell parentShell) {
		super(parentShell);

	}
	
	
				

	/**
	   * @see org.eclipse.jface.window.Window#create() We complete the dialog with
	   *      a title and a message
	   */
	  public void create() {
		super.create();
	    
	    setTitle("New Datasource");
	    setMessage("New Datasource");
	    
	  }

	 
	  

	@Override
	protected Control createContents(Composite parent) {
		Control ctrl = super.createContents(parent);
		return ctrl;
	}

	protected Control createDialogArea(Composite parent) {
		
		aComposite = new Composite(parent, SWT.NONE);
		final GridLayout layout = new GridLayout();
    	layout.marginWidth = 15;
    	layout.marginHeight = 10;
    	layout.numColumns = 5;
    	aComposite.setLayout(layout);
    	aComposite.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
    	
    	
    	
// Riga 1
    	dsNameLabel = new CLabel(aComposite, SWT.RIGHT);
    	dsNameLabel.setText(" DataSource Name ");
    	dsNameTextField = new Text(aComposite, SWT.BORDER | SWT.FLAT );
    	GridData data = new GridData(GridData.FILL_HORIZONTAL);
    	data.widthHint = 200;
    	data.horizontalSpan = 4;
    	dsNameTextField.setLayoutData(data);    	
    	
    	
 // Riga 2
    	dsjdbcUrlLabel = new CLabel(aComposite, SWT.RIGHT);
    	dsjdbcUrlLabel.setText(" JDBC Url ");
    	dsjdbcUrlTextField = new Text(aComposite, SWT.BORDER | SWT.FLAT );
    	data = new GridData(GridData.FILL_HORIZONTAL);
    	data.widthHint = 200;
    	data.horizontalSpan = 4;
    	dsjdbcUrlTextField.setLayoutData(data);
    	
// Riga 3
    	dsjdbcDriverLabel = new CLabel(aComposite, SWT.RIGHT);
    	dsjdbcDriverLabel.setText(" JDBC Driver Class Name ");
    	dsjdbcDriverTextField = new Text(aComposite, SWT.BORDER | SWT.FLAT );
    	data = new GridData(GridData.FILL_HORIZONTAL);
    	data.widthHint = 200;
    	data.horizontalSpan = 4;
    	dsjdbcDriverTextField.setLayoutData(data);
    	
    	
//    	 Riga 3
    	dsjdbcUserLabel = new CLabel(aComposite, SWT.RIGHT);
    	dsjdbcUserLabel.setText(" User ");
    	dsjdbcUserTextField = new Text(aComposite, SWT.BORDER | SWT.FLAT );
    	data = new GridData(GridData.FILL_HORIZONTAL);
    	data.widthHint = 200;
    	data.horizontalSpan = 4;
    	dsjdbcUserTextField.setLayoutData(data);
    	
//   	 Riga 3
    	dsjdbcPasswordLabel = new CLabel(aComposite, SWT.RIGHT);
    	dsjdbcPasswordLabel.setText(" Password ");
    	dsjdbcPasswordTextField = new Text(aComposite, SWT.BORDER | SWT.FLAT );
    	data = new GridData(GridData.FILL_HORIZONTAL);
    	data.widthHint = 200;
    	data.horizontalSpan = 4;
    	dsjdbcPasswordTextField.setLayoutData(data);
    	
    		
        return parent; 
	
	}
	
	protected void okPressed() {
		
		this.datasourceBean = new DataSourceBeanDialog(dsNameTextField.getText(), 
												dsjdbcDriverTextField.getText(),
												dsjdbcUrlTextField.getText(),
												dsjdbcUserTextField.getText(),
												dsjdbcPasswordTextField.getText());
		close();
	}




	public DataSourceBeanDialog getDatasourceBean() {
		return datasourceBean;
	}
	
	
	
	




	
	
}
