package it.eng.cimero.plugin.providers;



import it.eng.spagosoa.metadb.model.Attribute;
import it.eng.spagosoa.metadb.model.XmlNamespace;

import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.swt.graphics.Image;

public class XmlNamespaceLabelProvider implements ITableLabelProvider
{
	
	public XmlNamespaceLabelProvider(){
	}
	
	public String getColumnText(Object element, int column_index) {
			 if (element instanceof XmlNamespace) {
				 // 0 - Prefix 
				 // 1 - Value
				 
				 if (column_index == 0){
					 return String.valueOf(((XmlNamespace)element).getPrefix());
				 }
				 if (column_index == 1){
					 return ((XmlNamespace)element).getValue();
				 }
				
				 return "";
			 }else{
				 return "";
			 }
  }

  public void addListener(ILabelProviderListener ilabelproviderlistener)
  {
  }

  public void dispose()
  {
  }

  public boolean isLabelProperty(Object obj, String s)
  {
    return false;
  }

  public void removeListener(ILabelProviderListener ilabelproviderlistener)
  {
  }

  public Image getColumnImage(Object element, int column_index)
  {
      return null;
    
  }
}

