package it.eng.utils;

import java.util.ArrayList;
import java.util.List;

public class EndpointModel {

	private String namespace = null;
	private String endpointname = null;
	private String componentName = null;
	private boolean isStart = false;
	private boolean isEnd = false;
	private String typeService = null;
	
	private List<PropertyModel> properties = null;
	
	public EndpointModel(String namespace, String endpointname, String componentName, String typeService, List<PropertyModel> properties) {
		super();
		this.namespace = namespace;
		this.endpointname = endpointname;
		this.componentName = componentName;
		this.properties = properties;
		this.typeService = typeService;
	}
	
	public EndpointModel(String namespace, String endpointname, String componentName, String typeService) {
		super();
		this.namespace = namespace;
		this.endpointname = endpointname;
		this.componentName = componentName;
		this.properties = new ArrayList<PropertyModel>();
		this.typeService = typeService;
	}

	public String getEndpointname() {
		return endpointname;
	}

	public void setEndpointname(String endpointname) {
		this.endpointname = endpointname;
	}

	public String getNamespace() {
		return namespace;
	}

	public void setNamespace(String namespace) {
		this.namespace = namespace;
	}

	public String getComponentName() {
		return componentName;
	}

	public void setComponentName(String service) {
		this.componentName = service;
	}

	public List<PropertyModel> getProperties() {
		return properties;
	}

	public void setProperties(List<PropertyModel> properties) {
		this.properties = properties;
	}

	public boolean isEnd() {
		return isEnd;
	}

	public void setEnd(boolean isEnd) {
		this.isEnd = isEnd;
	}

	public boolean isStart() {
		return isStart;
	}

	public void setStart(boolean isStart) {
		this.isStart = isStart;
	}

	public String getTypeService() {
		return typeService;
	}

	public void setTypeService(String typeService) {
		this.typeService = typeService;
	}

	
	
}
