package com.bull.cimero.pluginEditor.editors.figure.BCFigure;

import java.io.File;

/**
 * The FTP Cimero Figure.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class FTPFigure extends BCCimeroFigure {

	/** The image path. */
	private static final String IMAGEPATH
			= "icons" + File.separator + "FTPCanal.gif";
	/** The image error path. */
	private static final String IMAGEPATHERROR
			= "icons" + File.separator + "FTPCanal_error.jpg";
	/** The name of the serveur. */
	private static final String SERVERNAME = "my ftp server";
	/** The icon of the serveur. */
	private static final String PATHTOICON =
		"icons" + File.separator + "ico_ftp.jpg";

	/**
	 * default constructor.
	 */
	public FTPFigure() {
		super(SERVERNAME, IMAGEPATH, IMAGEPATHERROR, PATHTOICON);
	}

}
