package com.bull.cimero.pluginEditor.editors.figure.BCFigure;

import java.io.File;

/**
 * The JMS server figure.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class JMSFigure extends BCCimeroFigure {

	/** The image path. */
	private static final String IMAGEPATH
			= "icons" + File.separator + "JMSCanal.gif";
	/** The image error path. */
	private static final String IMAGEPATHERROR
			= "icons" + File.separator + "JMSCanal_error.jpg";
	/** The name of the serveur. */
	private static final String SERVERNAME = "my JMS server";
	/** The icon of the serveur. */
	private static final String PATHTOICON =
		"icons" + File.separator + "ico_jms.jpg";

	/**
	 * The constructor.
	 */
	public JMSFigure() {
		super(SERVERNAME, IMAGEPATH, IMAGEPATHERROR, PATHTOICON);
	}
}
