package it.eng.cimero.plugin.dialogs;

import it.eng.spagosoa.metadb.model.Attribute;
import it.eng.spagosoa.metadb.model.AttributeCatalog;
import it.eng.spagosoa.metadb.model.AttributeCatalogId;

public class AttributeInCatalog {
	
	private AttributeCatalogId attributeCatalogId = null;
	private int attributeType = 0;

	private String attributeName;
	
	private Integer orderCriteria;
	
	private Boolean visible;

	public AttributeCatalogId getAttributeCatalogId() {
		return attributeCatalogId;
	}

	public void setAttributeCatalogId(AttributeCatalogId attributeCatalogId) {
		this.attributeCatalogId = attributeCatalogId;
	}

	public String getAttributeName() {
		return attributeName;
	}

	public void setAttributeName(String attributeName) {
		this.attributeName = attributeName;
	}

	public Integer getOrderCriteria() {
		return orderCriteria;
	}

	public void setOrderCriteria(Integer orderCriteria) {
		this.orderCriteria = orderCriteria;
	}

	public Boolean getVisible() {
		return visible;
	}

	public void setVisible(Boolean visible) {
		this.visible = visible;
	}

	public AttributeInCatalog(AttributeCatalogId attributeCatalogId, String attributeName,int attributeType, Integer orderCriteria, Boolean visible) {
		super();
		this.attributeCatalogId = attributeCatalogId;
		this.attributeName = attributeName;
		this.orderCriteria = orderCriteria;
		this.visible = visible;
		this.attributeType = attributeType;
	}

	public int getAttributeType() {
		return attributeType;
	}

	public void setAttributeType(int attributeType) {
		this.attributeType = attributeType;
	}
	

	
	
}
