package it.eng.cimero.plugin.dialogs;

import it.eng.spagosoa.metadb.api.IMetadbApi;
import it.eng.spagosoa.metadb.model.Attribute;
import it.eng.spagosoa.metadb.model.AttributeCatalog;

import org.eclipse.jface.dialogs.TitleAreaDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class NewAttributeDialog extends TitleAreaDialog {

//	final SimpleDateFormat formatter = new SimpleDateFormat("dd/MM/yyyy");
	

    private Composite aComposite = null;
    private CLabel attributeNameLabel = null;
    private Text attributeNameTextField = null;
    
    private CLabel attributeTypeLabel = null;
    private Text attributeTypeTextField = null;
    
  
    
    
   
    private IMetadbApi metadb = null;
    
    
	public NewAttributeDialog(Shell parentShell, IMetadbApi metadb) {
		
		super(parentShell);
		this.metadb = metadb;
	
	}
	
	
				

	/**
	   * @see org.eclipse.jface.window.Window#create() We complete the dialog with
	   *      a title and a message
	   */
	  public void create() {
		super.create();
	    
	    setTitle("New Attribute");
	    setMessage("New Attribute ");
	    
	  }

	 
	  

	@Override
	protected Control createContents(Composite parent) {
		Control ctrl = super.createContents(parent);
		return ctrl;
	}

	protected Control createDialogArea(Composite parent) {
		
        
  
		
		aComposite = new Composite(parent, SWT.NONE);
		final GridLayout layout = new GridLayout();
    	layout.marginWidth = 15;
    	layout.marginHeight = 10;
    	layout.numColumns = 5;
    	aComposite.setLayout(layout);
    	aComposite.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
    	
    	
    	GridData data = new GridData(GridData.FILL_HORIZONTAL);
    	data.widthHint = 200;
    	data.horizontalSpan = 4;
    	
    	
    	
    	
    	// Riga 2
    	attributeNameLabel = new CLabel(aComposite, SWT.RIGHT);
    	attributeNameLabel.setText(" Attribute Name ");
    	attributeNameTextField = new Text(aComposite, SWT.BORDER | SWT.FLAT );
    	data = new GridData(GridData.FILL_HORIZONTAL);
    	data.widthHint = 200;
    	data.horizontalSpan = 4;
    	attributeNameTextField.setLayoutData(data);
    	
//    	 Riga 2
    	attributeTypeLabel = new CLabel(aComposite, SWT.RIGHT);
    	attributeTypeLabel.setText(" Attribute Type ");
    	attributeTypeTextField = new Text(aComposite, SWT.BORDER | SWT.FLAT );
    	data = new GridData(GridData.FILL_HORIZONTAL);
    	data.widthHint = 200;
    	data.horizontalSpan = 4;
    	attributeTypeTextField.setLayoutData(data);
    	
    	/*
    	attributeVisibleLabel = new CLabel(aComposite, SWT.RIGHT);
    	attributeVisibleLabel.setText(" Is Visible ");
    	attributeVisibleCheckBox = new Button(aComposite, SWT.CHECK );
    	data = new GridData(GridData.FILL_HORIZONTAL);
    	data.widthHint = 200;
    	data.horizontalSpan = 4;
    	attributeVisibleCheckBox.setLayoutData(data);
    		

    	attributeMandatoryLabel = new CLabel(aComposite, SWT.RIGHT);
    	attributeMandatoryLabel.setText(" Is Mandatory ");
    	attributeMandatoryCheckBox = new Button(aComposite, SWT.CHECK );
    	data = new GridData(GridData.FILL_HORIZONTAL);
    	data.widthHint = 200;
    	data.horizontalSpan = 4;
    	attributeMandatoryCheckBox.setLayoutData(data);
    	*/	
        return parent; 
	
	}
	
	protected void okPressed() {
		
		
		try{
			metadb.openTx();
			Attribute newAttributes = new Attribute();
			
			
			newAttributes.setType(0);
			newAttributes.setName(attributeNameTextField.getText());
			
			
			metadb.storeAttribute(newAttributes);
			metadb.commitAndClose();
		}catch (Exception e) {
			metadb.rollBackAndClose();
		}finally{	
		}
		super.okPressed();
		
	}
	
	@Override
	protected void buttonPressed(int buttonId) {
		
		super.buttonPressed(buttonId);
	}




	
	
}
