package it.eng.cimero.plugin.dialogs;

import it.eng.spagosoa.metadb.api.IMetadbApi;

import org.eclipse.jface.dialogs.TitleAreaDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class ViewJndiXMLDialog extends TitleAreaDialog {


	

    private Composite aComposite = null;
    private String section = null;
    
	public ViewJndiXMLDialog(Shell parentShell, String jndiXMLSection) {
		super(parentShell);
		this.section = jndiXMLSection;
	}
	
	/**
	   * @see org.eclipse.jface.window.Window#create() We complete the dialog with
	   *      a title and a message
	   */
	  public void create() {
		super.create();
	    
	    setTitle("JNDI XML Section");
	    setMessage("JNDI XML Section");
	    
	  }

	 
	  

	@Override
	protected Control createContents(Composite parent) {
		Control ctrl = super.createContents(parent);
		return ctrl;
	}

	protected Control createDialogArea(Composite parent) {	
		aComposite = new Composite(parent, SWT.NONE);
		final GridLayout layout = new GridLayout();
		layout.marginWidth = 15;
    	layout.marginHeight = 10;
    	layout.numColumns = 5;
		aComposite.setLayout(layout);
		
		Text text2 = new Text(aComposite, SWT.BORDER | SWT.WRAP);

		text2.setText(section);
	    GridData data = new GridData(GridData.FILL_HORIZONTAL);
    	data.widthHint = 500;
    	data.horizontalSpan = 5;
	    
		text2.setLayoutData(data);
		return parent;
  
		
	}
	
	protected void okPressed() {
		
		super.okPressed();
		
	}
	
	@Override
	protected Control createButtonBar(Composite parent) {
		return null;
	}
	@Override
	protected void buttonPressed(int buttonId) {
		
		super.buttonPressed(buttonId);
	}




	
	
}
