package it.eng.cimero.plugin.providers;



import it.eng.cimero.plugin.dialogs.AttributeInCatalog;
import it.eng.spagosoa.metadb.model.Attribute;

import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.swt.graphics.Image;

public class AttributeInCatalogLabelProvider implements ITableLabelProvider
{
	
	public AttributeInCatalogLabelProvider(){
	}
	
	public String getColumnText(Object element, int column_index) {
			 if (element instanceof AttributeInCatalog) {
				
				 // 0 - NAME
				 // 3 - Visible
				 // 4 - Mandatory
				 
				 if (column_index == 0){
					 return ((AttributeInCatalog)element).getAttributeName();
				 }
				 
				 if (column_index == 1){
					 
					 int attributeType = ((AttributeInCatalog)element).getAttributeType();
					 if (attributeType == 0 ){
						 return "STRING";
					 }
				 }
				 
				 if (column_index == 2){
					 
					 return (((AttributeInCatalog)element).getVisible() ? "YES" : "NO");
				 }
				 return "";
			 }else{
				 return "";
			 }
  }

  public void addListener(ILabelProviderListener ilabelproviderlistener)
  {
  }

  public void dispose()
  {
  }

  public boolean isLabelProperty(Object obj, String s)
  {
    return false;
  }

  public void removeListener(ILabelProviderListener ilabelproviderlistener)
  {
  }

  public Image getColumnImage(Object element, int column_index)
  {
      return null;
    
  }
}

